play.exceptions

## Class CompilationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.exceptions.PlayException
        - - play.exceptions.CompilationException

- All Implemented Interfaces:
    java.io.Serializable, SourceAttachment

      public class CompilationException
      extends PlayException
      implements SourceAttachment

  A java compilation error
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompilationException(java.lang.String problem)`
    `CompilationException(VirtualFile source, java.lang.String problem, int line, int start, int end)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorDescription()`
    `java.lang.String` | `getErrorTitle()`
    `java.lang.Integer` | `getLineNumber()`
    `java.lang.String` | `getMessage()`
    `java.util.List<java.lang.String>` | `getSource()`
    `java.lang.Integer` | `getSourceEnd()`
    `java.lang.String` | `getSourceFile()`
    `java.lang.Integer` | `getSourceStart()`
    `boolean` | `isSourceAvailable()`

    - ### Methods inherited from class play.exceptions.PlayException

      `getId, getInterestingStackTraceElement, getInterestingStrackTraceElement, getMoreHTML`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompilationException

          public CompilationException(java.lang.String problem)

    - #### CompilationException

          public CompilationException(VirtualFile source,
                                      java.lang.String problem,
                                      int line,
                                      int start,
                                      int end)

  - ### Method Detail

    - #### getErrorTitle

          public java.lang.String getErrorTitle()

      Specified by:
        `getErrorTitle` in class `PlayException`

    - #### getErrorDescription

          public java.lang.String getErrorDescription()

      Specified by:
        `getErrorDescription` in class `PlayException`

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### getSource

          public java.util.List<java.lang.String> getSource()

      Specified by:
        `getSource` in interface `SourceAttachment`

    - #### getLineNumber

          public java.lang.Integer getLineNumber()

      Specified by:
        `getLineNumber` in interface `SourceAttachment`
      Overrides:
        `getLineNumber` in class `PlayException`

    - #### getSourceFile

          public java.lang.String getSourceFile()

      Specified by:
        `getSourceFile` in interface `SourceAttachment`
      Overrides:
        `getSourceFile` in class `PlayException`

    - #### getSourceStart

          public java.lang.Integer getSourceStart()

    - #### getSourceEnd

          public java.lang.Integer getSourceEnd()

    - #### isSourceAvailable

          public boolean isSourceAvailable()

      Overrides:
        `isSourceAvailable` in class `PlayException`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly